import edu.rice.cs.mint.runtime.Code;
public class ThreeStageSample {
    public static void main(String[] args) {
        Code<? extends Code<Integer>> c = <|<|123|>|>;
        System.out.println(c.run().run());
    }
}
